Drop support for Windows 2000 in 1.3 and later.
authorgerald <gerald@f5534014-38df-0310-8fa8-9805f1628bb7>
Tue, 9 Feb 2010 19:13:57 +0000 (19:13 +0000)
committergerald <gerald@f5534014-38df-0310-8fa8-9805f1628bb7>
Tue, 9 Feb 2010 19:13:57 +0000 (19:13 +0000)
git-svn-id: http://anonsvn.wireshark.org/wireshark/trunk@31849 f5534014-38df-0310-8fa8-9805f1628bb7

docbook/release-notes.xml
packaging/nsis/wireshark.nsi

index 2db33350dc60a121f95b69d4a7f3f1008e88f657..ca2760708d88aedc612c7530e563b9530ba9e956 100644 (file)
@@ -100,6 +100,13 @@ Wireshark Info
           </para>
         </listitem>
 
+        <listitem>
+          <para>
+            Wireshark no longer supports Windows 2000. Please use Wireshark 1.2 or 1.0 on
+            those systems.
+          </para>
+        </listitem>
+
       </itemizedlist>
 
     </para>
index 103d8847ac7605440172c288eae6e0b4738cc261..4bdf937decd4e278787e8683dcf339e60913f576 100644 (file)
@@ -1277,6 +1277,7 @@ Function myShowCallback
        StrCmp $R0 '98' lbl_winversion_unsupported
        StrCmp $R0 'ME' lbl_winversion_unsupported
        StrCmp $R0 'NT 4.0' lbl_winversion_unsupported_nt4
+       StrCmp $R0 '2000' lbl_winversion_unsupported_2000
        Goto lbl_winversion_supported
 lbl_winversion_unsupported:
        MessageBox MB_OK \
@@ -1290,8 +1291,13 @@ lbl_winversion_unsupported_nt4:
             /SD IDOK
        Quit
 
-lbl_winversion_supported:
+lbl_winversion_unsupported_2000:
+       MessageBox MB_OK \
+            "Windows $R0 is no longer supported. Please install Wireshark 1.2 or 1.0." \
+            /SD IDOK
+       Quit
 
+lbl_winversion_supported:
        ; detect if WinPcap should be installed
        WriteINIStr "$PLUGINSDIR\WinPcapPage.ini" "Field 4" "Text" "Install WinPcap 4.1.1"
        ReadRegStr $WINPCAP_NAME HKEY_LOCAL_MACHINE "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\WinPcapInst" "DisplayName"